ALE 0.9.0.3 News

  David Hilvert

   Copyright (c) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 David Hilvert

   This article is free documentation; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   This article is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License along
   with this article; if not, write to the Free Software Foundation, Inc., 51
   Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

   Abstract

   This article includes change summaries for each release.

     ----------------------------------------------------------------------

50. Version 0.9.0.3, 2009-Mar-31

   This testing release fixes a serious memory leak, fixes an output bit
   depth bug, and refines bit depth checks.

49. Version 0.9.0.2, 2008-Nov-05

   This testing release has been updated to fix a bashism in the wrapper
   script, and includes other minor fixes to the documentation tree.

48. Version 0.9.0.1, 2008-Jun-13

   This testing release adds support for regional adjustment of tone (e.g.,
   for varying lighting conditions), includes various multi-alignment fixes
   and updates, and adds a man page.

47. Version 0.9.0, 2008-Apr-14

   This testing release allows multiple alignments per input frame, and adds
   an option for specifying resident sizes for loaded images, allowing more
   efficient management of backing stores. The current stable branch may
   offer more reliable performance and results.

46. Version 0.8.11, 2007-Nov-03

   This release includes new fixed-point configuration options, improves
   floating-point performance in certain cases, and resolves a possible
   alignment bug.

45. Version 0.8.10.1, 2007-Oct-04

   This release fixes an assertion failure occurring at large scale values.

44. Version 0.8.10, 2007-Oct-02

   This release updates alignment level-of-detail, Monte Carlo alignment, and
   the re-filtering renderer.

43. Version 0.8.9.1, 2007-Aug-31

   This release resolves certain build failures occurring under unthreaded
   configurations, removes certain debugging output, and adds support for
   platforms missing certain floating point macros.

42. Version 0.8.9, 2007-Aug-25

   This release adds a re-filtering renderer, fixes certain rendering bugs,
   and provides a wrapper script for extracting exposure information and
   decoding raw files.

41. Version 0.8.8.1, 2007-May-18

   This release removes a violation of the C++ standard that may cause some
   builds to fail.

40. Version 0.8.8, 2007-May-15

   This release revises robustness checking for dynamic Monte Carlo
   alignment, adds quiet and logging UI options, and includes a Gaussian PSF.

39. Version 0.8.7, 2007-Mar-04

   This release adds new weight limiting options to Irani-Peleg and
   incremental renderers, and fixes bugs that may cause alignment failure.

38. Version 0.8.6, 2007-Feb-17

   This release updates certainty calculation, adds a Nikon D50 device
   option, and resolves certain assertion failures.

37. Version 0.8.5, 2007-Jan-19

   This release includes an autoconf build system, multi-threading, and
   dynamic Monte Carlo alignment. Changes since the latest prerelease include
   revised Euclidean alignment, added help text for the experimental argument
   scope syntax, and reversion of 3D options to experimental status.

36. Version 0.8.5-pre3, 2006-Nov-03

   This prerelease adds dynamic adjustment of the Monte Carlo alignment
   parameter, fixes a potential nondeterminism bug in the random number
   generator, and modifies default settings to improve the speed of
   high-quality runs. Other changes include the addition of file-scoping for
   the perturb-upper option and a bugfix for exp-mult parameter processing.
   Documentation is incomplete.

35. Version 0.8.5-pre2, 2006-Oct-25

   This prerelease adds POSIX thread support for 2D alignment and rendering
   operations, and adds a profiling option to measure elapsed time for
   different tasks. Documentation is incomplete.

34. Version 0.8.5-pre1, 2006-Oct-16

   This prerelease includes an autotools build system, documentation licensed
   under GPL, and an updated user interface accepting scope operators. In
   particular, the --mc option has been changed to allow file scoping.
   Documentation is currently incomplete.

   A release plan is included in the TODO file, with entries for 0.8.5,
   0.9.0, and 1.0.0 releases.

33. Version 0.8.4, 2006-May-14

   This release refines the 3D engine to support focus effects, filtering,
   and editing of scene geometry. (Freshmeat announcement)

  33.1. Mailing list announcement

     o Support for filtered 3D rendering.
     o Support for removal of foreground objects in 3D scenes.
     o Support for synthetic focus effects.

32. Version 0.8.3, 2005-Dec-23

   This version adds enhancements in the handling of 3D scenes. (Freshmeat
   announcement)

  32.1. Mailing list announcement

     o Various enhancements to handling of 3D scenes.

31. Version 0.8.2, 2005-Nov-22

   This release revises the 3D scene reconstruction algorithm, allowing more
   robust handling of certain scenes. New 3D model and output options have
   also been added, including support for clipping planes and arbitrary
   camera positioning. This release also fixes certain bugs in 2D
   control-point alignment. (Freshmeat announcement)

  31.1. Mailing list announcement

     o Fix 2D control point alignment bugs
     o Revise 3D modeling code to use spatial subdivision and occupancy
     o Add support for clipping planes and arbitrary camera positioning

30. Version 0.8.1, 2005-May-6

   This release adds control points, median-value rendering, and a unified 3D
   scene model. It resolves certain syntax errors, allowing successful
   compilation under GCC 3.4. (Freshmeat announcement)

  30.1. Mailing list announcement

     o Add control points, median-value rendering, and a unified 3D scene
       model.
     o Resolve syntax errors causing compilation failure under GCC 3.4.

29. Version 0.8.0-patch, 2005-Apr-13

   Patch to fix build failures under GCC 3.4 noted by Gregory Maxwell and Tom
   Holroyd

28. Version 0.8.0, 2005-Jan-12

   This release adds a more informative TTY user interface, increases
   Euclidean alignment precision for large images, and reduces
   certainty-related noise amplification in the Irani-Peleg renderer.
   (Freshmeat announcement)

  28.1. Mailing list announcement

     o Add a more informative TTY user interface
     o Increase Euclidean alignment precision for large images
     o Reduce certainty-related noise amplification in the Irani-Peleg
       renderer

27. Version 0.7.3, 2004-Dec-1

   This release includes revised 3D algorithms, reduced memory usage for
   certain rendering steps, and new point-spread function and device options.
   (Freshmeat announcement)

  27.1. Mailing list announcement

     o Reduce memory usage in Irani-Peleg and 3D renderers
     o Add new PSF options for convolution and scalar multiplication
     o Revise the 3D scene reconstruction algorithm

  27.2. Program summary

   This release includes a revised summary:

   ALE is an image-processing program used for tasks such as
   super-resolution, deblurring, noise reduction, and anti-aliasing. Its
   principle of operation is synthetic capture, combining multiple inputs
   representing the same scene.

26. Version 0.7.2, 2004-Oct-26

   This release fixes exclusion region and alignment bugs, adds device
   support for the Canon 300D SLR, and incorporates an experimental framework
   for reconstruction of 3D scenes. (Freshmeat announcement)

  26.1. Mailing list announcement

     o Incorporate changes from 0.7.1 patches
     o Add a device configuration for the Canon EOS 300D (Digital Rebel)
     o Incorporate an approach to 3D reconstruction. (Does not work yet.)

25. Version 0.7.1-patch2, 2004-Sep-15

  25.1. Changelog summary

     o Adds an option for establishing a minimum overlap area for global
       searches
     o Adds a rudimentary test suite.

24. Version 0.7.1-patch1, 2004-Sep-07

  24.1. Mailing list announcement

     o Allows each perturbation bound to be specified as a percentage of the
       smallest image dimension (useful for large images?).
     o Fixes bugs in exclusion region handlers.
     o Fixes bugs in alignment failure handlers.
     o Avoids superfluously large undefined regions.
     o Adds experimental options for refining perturbation.

23. Version 0.7.1, 2004-Aug-27

   This release fixes alignment bugs, adds a global search option, and adds
   support for the OmniView OV7620 sensor. (Freshmeat announcement)

  23.1. Mailing list announcement

     o Add linear PSF for OV7620
     o Add option to concatenate help pages
     o Fix VISP segfault
     o Incorporate changes from 0.7.0-patch1

  23.2. Notes

   The default PSF for the OV7620 can be a bit noisy. As an alternative,
   box=1.3+box=1.8 also works well in some cases, and is less noisy.

22. Version 0.7.0-patch1, 2004-Aug-22

  22.1. Mailing list announcement

     o Fixes alignment bugs.
     o Adds a global search option.
     o Adds support for ov7620 in raw, linear mode.

  22.2. Notes

   The ov7620 device option expects that the 7620 be in raw, linear mode, and
   that clamping be turned on. These features may not be accessible using
   standard drivers.

21. Version 0.7.0, 2004-Aug-06

   This release updates the renderer to support a variety of filters,
   including sinc and Lanczos, and adds new options for excluding image
   regions and processing video frames. (Freshmeat announcement)

20. Version 0.6.0, 2004-Feb-10

   Merging and drizzling renderers now operate in linear colorspace, and the
   Irani-Peleg renderer has been extended to handle convolutions in both
   linear colorspace (e.g. lens blur) and non-linear colorspace (e.g. some
   types of in-camera sharpening). New options in this release include
   certainty weighting and exposure registration. (Freshmeat announcement)

19. Version 0.5.1, 2003-Nov-19

   Changes in this release include optional support for 16-bit color channels
   and built-in support for all PPM file types. Also, a user manual and an
   updated technical description are now available. (Freshmeat announcement)

   [This release was, and remains (as of Sep 2006), the most advanced version
   storing pixels as integer values (rather than as floating-point values).
   As integer values may be more suitable for certain applications,
   integer-valued functions may be re-introduced, possibly as library code,
   in the future. 19-Sep-2006]

  19.1. Program summary

   This release includes a revised summary:

   ALE is a program that can render high-fidelity images of real scenes by
   aligning and combining many similar images from a camera or scanner. The
   correct similarity between images is roughly that achieved by a somewhat
   unsteady hand holding a camera.

18. Version 0.5.0, 2003-Nov-02

   Alignment following has been modified to support multiple-pass alignment
   of panoramic image mosaics. Other changes in this release include code
   cleanup and documentation updates. (Freshmeat announcement via Neohapsis)

17. Version 0.4.8, 2003-Aug-01

   The Monte Carlo alignment algorithm has been modified, and may now offer
   better alignment for small sample sizes. Also, the Irani-Peleg renderer
   now writes output after each iteration when incremental output is enabled.
   Other changes include a bugfix in Euclidean alignment, a new option for
   configuring the level of detail, and a new independent constraint for
   rotational perturbation. (Freshmeat announcement via Neohapsis)

16. Version 0.4.7, 2003-Jul-27

   Support for device-specific projection functions and various bugfixes have
   been added to the Irani-Peleg renderer. Also, a new option has been added
   that may be useful for video stabilization applications. (Freshmeat
   announcement via Neohapsis)

15. Version 0.4.6, 2003-Jul-01

   This release fixes bugs in drizzling and post-processing. The following
   combinations should now work as expected: drizzling in combination with
   scaling and Irani-Peleg image reconstruction in combination with
   high-frequency enhancement. (Freshmeat announcement via Neohapsis)

14. Version 0.4.5, 2003-Jun-23

   This release resolves a number of minor alignment bugs. (Freshmeat
   announcement via Neohapsis)

13. Version 0.4.4, 2003-Jun-06

   The PPM file handler has been updated to open files in binary mode,
   resolving a serious bug under Windows. Also, the percentage of pixels used
   in Monte Carlo alignment now more closely matches user specifications in
   typical cases. (Freshmeat announcement via Neohapsis)

12. Version 0.4.3, 2003-May-30

   A Monte Carlo alignment option has been added, which may reduce alignment
   time. An option to disable incremental file output has also been added.
   (Freshmeat announcement via Neohapsis)

11. Version 0.4.2, 2003-May-23

   An iterative image reconstruction renderer has been added, and the PPM
   file handler has been updated to correctly handle PPM header comments.
   (Freshmeat announcement via Neohapsis)

10. Version 0.4.1, 2003-Apr-28

   Increased spatial extents, drizzling, and new alignment options have been
   added in this release. (Freshmeat announcement via Neohapsis)

9. Version 0.4.0p1, 2003-Apr-04

   A bugfix from the Debian ALE package version 0.4.0-1 has been merged.
   Without this fix, an assertion failure can occur when ImageMagick support
   is enabled. (Freshmeat announcement via Neohapsis)

     o The original Debian fix was implemented by Debian package maintainer
       Nick Rusnov.

8. Version 0.4.0, 2003-Mar-30

   A general scaling option has been added, and the high-frequency
   enhancement filter now works near image boundaries. (Freshmeat
   announcement via Neohapsis)

7. Version 0.3.2, 2003-Mar-26

   A match summary was added to the program's output, comments in
   transformation file output were made more helpful, and an experimental
   high-frequency enhancement option was added. (Freshmeat announcement via
   Neohapsis)

6. Version 0.3.1, 2003-Mar-25

   (This release appears to have been superseded by 0.3.2.)

5. Version 0.3.0, 2003-Jan-17

   New options in this release facilitate writing final alignment
   transformations to a file, reading initial alignment transformations from
   a file, and setting an upper boundary on the correction step size used in
   alignment. (Freshmeat announcement via Neohapsis)

4. Version 0.2.0, 2003-Jan-01

   General projective transformations can now be used in image alignment.
   (Freshmeat announcement via Neohapsis)

3. Version 0.1.2, 2002-Dec-13

   A new file handler has been added to read and write JPEG, PNG, and other
   image formats using the ImageMagick C API. The default PPM-only file
   handler now deals with certain file errors more gracefully. (Freshmeat
   announcement via Neohapsis)

     o Translation of file formats using ImageMagick was suggested by Nick
       Rusnov.

2. Version 0.1.1, 2002-Dec-09

   In this version, a scaling bug that caused corruption of boundary pixels
   has been fixed. Also, the alignment algorithm has been modified to use
   reduced detail for coarse alignment steps. (Freshmeat announcement via
   Neohapsis)

1. Version 0.1.0, 2002-Nov-26

   The image alignment algorithm has been updated. (Freshmeat announcement
   via Neohapsis)

0. Version 0.0.0, 2002-Oct-11

   Initial release

  0.1. Program summary

   ALE aligns and merges several similar images from a digitizing device
   (such as a digital camera or scanner) into a single image. This may have
   the effect of producing a relatively alias-free image (sometimes called
   "anti-aliasing").
